Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network147.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
147.64.0.0
Broadcast address
147.127.255.255
First usable
147.64.0.1
Last usable
147.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex 93400000 · Integer 2470445056 to 2474639359
Reverse DNS zones
64.147.in-addr.arpa
65.147.in-addr.arpa
66.147.in-addr.arpa
67.147.in-addr.arpa
68.147.in-addr.arpa
69.147.in-addr.arpa
70.147.in-addr.arpa
71.147.in-addr.arpa
72.147.in-addr.arpa
73.147.in-addr.arpa
74.147.in-addr.arpa
75.147.in-addr.arpa
76.147.in-addr.arpa
77.147.in-addr.arpa
78.147.in-addr.arpa
79.147.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010011.01000000.00000000.00000000147.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10010011.01000000.00000000.00000000147.64.0.0
Broadcast10010011.01111111.11111111.11111111147.127.255.255
Split into smaller subnets/21

147.64.0.0/10 makes 2,048 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1147.64.0.0/21147.64.0.1 to 147.64.7.254147.64.7.2552,046
2147.64.8.0/21147.64.8.1 to 147.64.15.254147.64.15.2552,046
3147.64.16.0/21147.64.16.1 to 147.64.23.254147.64.23.2552,046
4147.64.24.0/21147.64.24.1 to 147.64.31.254147.64.31.2552,046
5147.64.32.0/21147.64.32.1 to 147.64.39.254147.64.39.2552,046
6147.64.40.0/21147.64.40.1 to 147.64.47.254147.64.47.2552,046
7147.64.48.0/21147.64.48.1 to 147.64.55.254147.64.55.2552,046
8147.64.56.0/21147.64.56.1 to 147.64.63.254147.64.63.2552,046
9147.64.64.0/21147.64.64.1 to 147.64.71.254147.64.71.2552,046
10147.64.72.0/21147.64.72.1 to 147.64.79.254147.64.79.2552,046
11147.64.80.0/21147.64.80.1 to 147.64.87.254147.64.87.2552,046
12147.64.88.0/21147.64.88.1 to 147.64.95.254147.64.95.2552,046
13147.64.96.0/21147.64.96.1 to 147.64.103.254147.64.103.2552,046
14147.64.104.0/21147.64.104.1 to 147.64.111.254147.64.111.2552,046
15147.64.112.0/21147.64.112.1 to 147.64.119.254147.64.119.2552,046
16147.64.120.0/21147.64.120.1 to 147.64.127.254147.64.127.2552,046
17147.64.128.0/21147.64.128.1 to 147.64.135.254147.64.135.2552,046
18147.64.136.0/21147.64.136.1 to 147.64.143.254147.64.143.2552,046
19147.64.144.0/21147.64.144.1 to 147.64.151.254147.64.151.2552,046
20147.64.152.0/21147.64.152.1 to 147.64.159.254147.64.159.2552,046
21147.64.160.0/21147.64.160.1 to 147.64.167.254147.64.167.2552,046
22147.64.168.0/21147.64.168.1 to 147.64.175.254147.64.175.2552,046
23147.64.176.0/21147.64.176.1 to 147.64.183.254147.64.183.2552,046
24147.64.184.0/21147.64.184.1 to 147.64.191.254147.64.191.2552,046
25147.64.192.0/21147.64.192.1 to 147.64.199.254147.64.199.2552,046
26147.64.200.0/21147.64.200.1 to 147.64.207.254147.64.207.2552,046
27147.64.208.0/21147.64.208.1 to 147.64.215.254147.64.215.2552,046
28147.64.216.0/21147.64.216.1 to 147.64.223.254147.64.223.2552,046
29147.64.224.0/21147.64.224.1 to 147.64.231.254147.64.231.2552,046
30147.64.232.0/21147.64.232.1 to 147.64.239.254147.64.239.2552,046
31147.64.240.0/21147.64.240.1 to 147.64.247.254147.64.247.2552,046
32147.64.248.0/21147.64.248.1 to 147.64.255.254147.64.255.2552,046
33147.65.0.0/21147.65.0.1 to 147.65.7.254147.65.7.2552,046
34147.65.8.0/21147.65.8.1 to 147.65.15.254147.65.15.2552,046
35147.65.16.0/21147.65.16.1 to 147.65.23.254147.65.23.2552,046
36147.65.24.0/21147.65.24.1 to 147.65.31.254147.65.31.2552,046
37147.65.32.0/21147.65.32.1 to 147.65.39.254147.65.39.2552,046
38147.65.40.0/21147.65.40.1 to 147.65.47.254147.65.47.2552,046
39147.65.48.0/21147.65.48.1 to 147.65.55.254147.65.55.2552,046
40147.65.56.0/21147.65.56.1 to 147.65.63.254147.65.63.2552,046
41147.65.64.0/21147.65.64.1 to 147.65.71.254147.65.71.2552,046
42147.65.72.0/21147.65.72.1 to 147.65.79.254147.65.79.2552,046
43147.65.80.0/21147.65.80.1 to 147.65.87.254147.65.87.2552,046
44147.65.88.0/21147.65.88.1 to 147.65.95.254147.65.95.2552,046
45147.65.96.0/21147.65.96.1 to 147.65.103.254147.65.103.2552,046
46147.65.104.0/21147.65.104.1 to 147.65.111.254147.65.111.2552,046
47147.65.112.0/21147.65.112.1 to 147.65.119.254147.65.119.2552,046
48147.65.120.0/21147.65.120.1 to 147.65.127.254147.65.127.2552,046
49147.65.128.0/21147.65.128.1 to 147.65.135.254147.65.135.2552,046
50147.65.136.0/21147.65.136.1 to 147.65.143.254147.65.143.2552,046
51147.65.144.0/21147.65.144.1 to 147.65.151.254147.65.151.2552,046
52147.65.152.0/21147.65.152.1 to 147.65.159.254147.65.159.2552,046
53147.65.160.0/21147.65.160.1 to 147.65.167.254147.65.167.2552,046
54147.65.168.0/21147.65.168.1 to 147.65.175.254147.65.175.2552,046
55147.65.176.0/21147.65.176.1 to 147.65.183.254147.65.183.2552,046
56147.65.184.0/21147.65.184.1 to 147.65.191.254147.65.191.2552,046
57147.65.192.0/21147.65.192.1 to 147.65.199.254147.65.199.2552,046
58147.65.200.0/21147.65.200.1 to 147.65.207.254147.65.207.2552,046
59147.65.208.0/21147.65.208.1 to 147.65.215.254147.65.215.2552,046
60147.65.216.0/21147.65.216.1 to 147.65.223.254147.65.223.2552,046
61147.65.224.0/21147.65.224.1 to 147.65.231.254147.65.231.2552,046
62147.65.232.0/21147.65.232.1 to 147.65.239.254147.65.239.2552,046
63147.65.240.0/21147.65.240.1 to 147.65.247.254147.65.247.2552,046
64147.65.248.0/21147.65.248.1 to 147.65.255.254147.65.255.2552,046
65147.66.0.0/21147.66.0.1 to 147.66.7.254147.66.7.2552,046
66147.66.8.0/21147.66.8.1 to 147.66.15.254147.66.15.2552,046
67147.66.16.0/21147.66.16.1 to 147.66.23.254147.66.23.2552,046
68147.66.24.0/21147.66.24.1 to 147.66.31.254147.66.31.2552,046
69147.66.32.0/21147.66.32.1 to 147.66.39.254147.66.39.2552,046
70147.66.40.0/21147.66.40.1 to 147.66.47.254147.66.47.2552,046
71147.66.48.0/21147.66.48.1 to 147.66.55.254147.66.55.2552,046
72147.66.56.0/21147.66.56.1 to 147.66.63.254147.66.63.2552,046
73147.66.64.0/21147.66.64.1 to 147.66.71.254147.66.71.2552,046
74147.66.72.0/21147.66.72.1 to 147.66.79.254147.66.79.2552,046
75147.66.80.0/21147.66.80.1 to 147.66.87.254147.66.87.2552,046
76147.66.88.0/21147.66.88.1 to 147.66.95.254147.66.95.2552,046
77147.66.96.0/21147.66.96.1 to 147.66.103.254147.66.103.2552,046
78147.66.104.0/21147.66.104.1 to 147.66.111.254147.66.111.2552,046
79147.66.112.0/21147.66.112.1 to 147.66.119.254147.66.119.2552,046
80147.66.120.0/21147.66.120.1 to 147.66.127.254147.66.127.2552,046
81147.66.128.0/21147.66.128.1 to 147.66.135.254147.66.135.2552,046
82147.66.136.0/21147.66.136.1 to 147.66.143.254147.66.143.2552,046
83147.66.144.0/21147.66.144.1 to 147.66.151.254147.66.151.2552,046
84147.66.152.0/21147.66.152.1 to 147.66.159.254147.66.159.2552,046
85147.66.160.0/21147.66.160.1 to 147.66.167.254147.66.167.2552,046
86147.66.168.0/21147.66.168.1 to 147.66.175.254147.66.175.2552,046
87147.66.176.0/21147.66.176.1 to 147.66.183.254147.66.183.2552,046
88147.66.184.0/21147.66.184.1 to 147.66.191.254147.66.191.2552,046
89147.66.192.0/21147.66.192.1 to 147.66.199.254147.66.199.2552,046
90147.66.200.0/21147.66.200.1 to 147.66.207.254147.66.207.2552,046
91147.66.208.0/21147.66.208.1 to 147.66.215.254147.66.215.2552,046
92147.66.216.0/21147.66.216.1 to 147.66.223.254147.66.223.2552,046
93147.66.224.0/21147.66.224.1 to 147.66.231.254147.66.231.2552,046
94147.66.232.0/21147.66.232.1 to 147.66.239.254147.66.239.2552,046
95147.66.240.0/21147.66.240.1 to 147.66.247.254147.66.247.2552,046
96147.66.248.0/21147.66.248.1 to 147.66.255.254147.66.255.2552,046
97147.67.0.0/21147.67.0.1 to 147.67.7.254147.67.7.2552,046
98147.67.8.0/21147.67.8.1 to 147.67.15.254147.67.15.2552,046
99147.67.16.0/21147.67.16.1 to 147.67.23.254147.67.23.2552,046
100147.67.24.0/21147.67.24.1 to 147.67.31.254147.67.31.2552,046
101147.67.32.0/21147.67.32.1 to 147.67.39.254147.67.39.2552,046
102147.67.40.0/21147.67.40.1 to 147.67.47.254147.67.47.2552,046
103147.67.48.0/21147.67.48.1 to 147.67.55.254147.67.55.2552,046
104147.67.56.0/21147.67.56.1 to 147.67.63.254147.67.63.2552,046
105147.67.64.0/21147.67.64.1 to 147.67.71.254147.67.71.2552,046
106147.67.72.0/21147.67.72.1 to 147.67.79.254147.67.79.2552,046
107147.67.80.0/21147.67.80.1 to 147.67.87.254147.67.87.2552,046
108147.67.88.0/21147.67.88.1 to 147.67.95.254147.67.95.2552,046
109147.67.96.0/21147.67.96.1 to 147.67.103.254147.67.103.2552,046
110147.67.104.0/21147.67.104.1 to 147.67.111.254147.67.111.2552,046
111147.67.112.0/21147.67.112.1 to 147.67.119.254147.67.119.2552,046
112147.67.120.0/21147.67.120.1 to 147.67.127.254147.67.127.2552,046
113147.67.128.0/21147.67.128.1 to 147.67.135.254147.67.135.2552,046
114147.67.136.0/21147.67.136.1 to 147.67.143.254147.67.143.2552,046
115147.67.144.0/21147.67.144.1 to 147.67.151.254147.67.151.2552,046
116147.67.152.0/21147.67.152.1 to 147.67.159.254147.67.159.2552,046
117147.67.160.0/21147.67.160.1 to 147.67.167.254147.67.167.2552,046
118147.67.168.0/21147.67.168.1 to 147.67.175.254147.67.175.2552,046
119147.67.176.0/21147.67.176.1 to 147.67.183.254147.67.183.2552,046
120147.67.184.0/21147.67.184.1 to 147.67.191.254147.67.191.2552,046
121147.67.192.0/21147.67.192.1 to 147.67.199.254147.67.199.2552,046
122147.67.200.0/21147.67.200.1 to 147.67.207.254147.67.207.2552,046
123147.67.208.0/21147.67.208.1 to 147.67.215.254147.67.215.2552,046
124147.67.216.0/21147.67.216.1 to 147.67.223.254147.67.223.2552,046
125147.67.224.0/21147.67.224.1 to 147.67.231.254147.67.231.2552,046
126147.67.232.0/21147.67.232.1 to 147.67.239.254147.67.239.2552,046
127147.67.240.0/21147.67.240.1 to 147.67.247.254147.67.247.2552,046
128147.67.248.0/21147.67.248.1 to 147.67.255.254147.67.255.2552,046
129147.68.0.0/21147.68.0.1 to 147.68.7.254147.68.7.2552,046
130147.68.8.0/21147.68.8.1 to 147.68.15.254147.68.15.2552,046
131147.68.16.0/21147.68.16.1 to 147.68.23.254147.68.23.2552,046
132147.68.24.0/21147.68.24.1 to 147.68.31.254147.68.31.2552,046
133147.68.32.0/21147.68.32.1 to 147.68.39.254147.68.39.2552,046
134147.68.40.0/21147.68.40.1 to 147.68.47.254147.68.47.2552,046
135147.68.48.0/21147.68.48.1 to 147.68.55.254147.68.55.2552,046
136147.68.56.0/21147.68.56.1 to 147.68.63.254147.68.63.2552,046
137147.68.64.0/21147.68.64.1 to 147.68.71.254147.68.71.2552,046
138147.68.72.0/21147.68.72.1 to 147.68.79.254147.68.79.2552,046
139147.68.80.0/21147.68.80.1 to 147.68.87.254147.68.87.2552,046
140147.68.88.0/21147.68.88.1 to 147.68.95.254147.68.95.2552,046
141147.68.96.0/21147.68.96.1 to 147.68.103.254147.68.103.2552,046
142147.68.104.0/21147.68.104.1 to 147.68.111.254147.68.111.2552,046
143147.68.112.0/21147.68.112.1 to 147.68.119.254147.68.119.2552,046
144147.68.120.0/21147.68.120.1 to 147.68.127.254147.68.127.2552,046
145147.68.128.0/21147.68.128.1 to 147.68.135.254147.68.135.2552,046
146147.68.136.0/21147.68.136.1 to 147.68.143.254147.68.143.2552,046
147147.68.144.0/21147.68.144.1 to 147.68.151.254147.68.151.2552,046
148147.68.152.0/21147.68.152.1 to 147.68.159.254147.68.159.2552,046
149147.68.160.0/21147.68.160.1 to 147.68.167.254147.68.167.2552,046
150147.68.168.0/21147.68.168.1 to 147.68.175.254147.68.175.2552,046
151147.68.176.0/21147.68.176.1 to 147.68.183.254147.68.183.2552,046
152147.68.184.0/21147.68.184.1 to 147.68.191.254147.68.191.2552,046
153147.68.192.0/21147.68.192.1 to 147.68.199.254147.68.199.2552,046
154147.68.200.0/21147.68.200.1 to 147.68.207.254147.68.207.2552,046
155147.68.208.0/21147.68.208.1 to 147.68.215.254147.68.215.2552,046
156147.68.216.0/21147.68.216.1 to 147.68.223.254147.68.223.2552,046
157147.68.224.0/21147.68.224.1 to 147.68.231.254147.68.231.2552,046
158147.68.232.0/21147.68.232.1 to 147.68.239.254147.68.239.2552,046
159147.68.240.0/21147.68.240.1 to 147.68.247.254147.68.247.2552,046
160147.68.248.0/21147.68.248.1 to 147.68.255.254147.68.255.2552,046
161147.69.0.0/21147.69.0.1 to 147.69.7.254147.69.7.2552,046
162147.69.8.0/21147.69.8.1 to 147.69.15.254147.69.15.2552,046
163147.69.16.0/21147.69.16.1 to 147.69.23.254147.69.23.2552,046
164147.69.24.0/21147.69.24.1 to 147.69.31.254147.69.31.2552,046
165147.69.32.0/21147.69.32.1 to 147.69.39.254147.69.39.2552,046
166147.69.40.0/21147.69.40.1 to 147.69.47.254147.69.47.2552,046
167147.69.48.0/21147.69.48.1 to 147.69.55.254147.69.55.2552,046
168147.69.56.0/21147.69.56.1 to 147.69.63.254147.69.63.2552,046
169147.69.64.0/21147.69.64.1 to 147.69.71.254147.69.71.2552,046
170147.69.72.0/21147.69.72.1 to 147.69.79.254147.69.79.2552,046
171147.69.80.0/21147.69.80.1 to 147.69.87.254147.69.87.2552,046
172147.69.88.0/21147.69.88.1 to 147.69.95.254147.69.95.2552,046
173147.69.96.0/21147.69.96.1 to 147.69.103.254147.69.103.2552,046
174147.69.104.0/21147.69.104.1 to 147.69.111.254147.69.111.2552,046
175147.69.112.0/21147.69.112.1 to 147.69.119.254147.69.119.2552,046
176147.69.120.0/21147.69.120.1 to 147.69.127.254147.69.127.2552,046
177147.69.128.0/21147.69.128.1 to 147.69.135.254147.69.135.2552,046
178147.69.136.0/21147.69.136.1 to 147.69.143.254147.69.143.2552,046
179147.69.144.0/21147.69.144.1 to 147.69.151.254147.69.151.2552,046
180147.69.152.0/21147.69.152.1 to 147.69.159.254147.69.159.2552,046
181147.69.160.0/21147.69.160.1 to 147.69.167.254147.69.167.2552,046
182147.69.168.0/21147.69.168.1 to 147.69.175.254147.69.175.2552,046
183147.69.176.0/21147.69.176.1 to 147.69.183.254147.69.183.2552,046
184147.69.184.0/21147.69.184.1 to 147.69.191.254147.69.191.2552,046
185147.69.192.0/21147.69.192.1 to 147.69.199.254147.69.199.2552,046
186147.69.200.0/21147.69.200.1 to 147.69.207.254147.69.207.2552,046
187147.69.208.0/21147.69.208.1 to 147.69.215.254147.69.215.2552,046
188147.69.216.0/21147.69.216.1 to 147.69.223.254147.69.223.2552,046
189147.69.224.0/21147.69.224.1 to 147.69.231.254147.69.231.2552,046
190147.69.232.0/21147.69.232.1 to 147.69.239.254147.69.239.2552,046
191147.69.240.0/21147.69.240.1 to 147.69.247.254147.69.247.2552,046
192147.69.248.0/21147.69.248.1 to 147.69.255.254147.69.255.2552,046
193147.70.0.0/21147.70.0.1 to 147.70.7.254147.70.7.2552,046
194147.70.8.0/21147.70.8.1 to 147.70.15.254147.70.15.2552,046
195147.70.16.0/21147.70.16.1 to 147.70.23.254147.70.23.2552,046
196147.70.24.0/21147.70.24.1 to 147.70.31.254147.70.31.2552,046
197147.70.32.0/21147.70.32.1 to 147.70.39.254147.70.39.2552,046
198147.70.40.0/21147.70.40.1 to 147.70.47.254147.70.47.2552,046
199147.70.48.0/21147.70.48.1 to 147.70.55.254147.70.55.2552,046
200147.70.56.0/21147.70.56.1 to 147.70.63.254147.70.63.2552,046
201147.70.64.0/21147.70.64.1 to 147.70.71.254147.70.71.2552,046
202147.70.72.0/21147.70.72.1 to 147.70.79.254147.70.79.2552,046
203147.70.80.0/21147.70.80.1 to 147.70.87.254147.70.87.2552,046
204147.70.88.0/21147.70.88.1 to 147.70.95.254147.70.95.2552,046
205147.70.96.0/21147.70.96.1 to 147.70.103.254147.70.103.2552,046
206147.70.104.0/21147.70.104.1 to 147.70.111.254147.70.111.2552,046
207147.70.112.0/21147.70.112.1 to 147.70.119.254147.70.119.2552,046
208147.70.120.0/21147.70.120.1 to 147.70.127.254147.70.127.2552,046
209147.70.128.0/21147.70.128.1 to 147.70.135.254147.70.135.2552,046
210147.70.136.0/21147.70.136.1 to 147.70.143.254147.70.143.2552,046
211147.70.144.0/21147.70.144.1 to 147.70.151.254147.70.151.2552,046
212147.70.152.0/21147.70.152.1 to 147.70.159.254147.70.159.2552,046
213147.70.160.0/21147.70.160.1 to 147.70.167.254147.70.167.2552,046
214147.70.168.0/21147.70.168.1 to 147.70.175.254147.70.175.2552,046
215147.70.176.0/21147.70.176.1 to 147.70.183.254147.70.183.2552,046
216147.70.184.0/21147.70.184.1 to 147.70.191.254147.70.191.2552,046
217147.70.192.0/21147.70.192.1 to 147.70.199.254147.70.199.2552,046
218147.70.200.0/21147.70.200.1 to 147.70.207.254147.70.207.2552,046
219147.70.208.0/21147.70.208.1 to 147.70.215.254147.70.215.2552,046
220147.70.216.0/21147.70.216.1 to 147.70.223.254147.70.223.2552,046
221147.70.224.0/21147.70.224.1 to 147.70.231.254147.70.231.2552,046
222147.70.232.0/21147.70.232.1 to 147.70.239.254147.70.239.2552,046
223147.70.240.0/21147.70.240.1 to 147.70.247.254147.70.247.2552,046
224147.70.248.0/21147.70.248.1 to 147.70.255.254147.70.255.2552,046
225147.71.0.0/21147.71.0.1 to 147.71.7.254147.71.7.2552,046
226147.71.8.0/21147.71.8.1 to 147.71.15.254147.71.15.2552,046
227147.71.16.0/21147.71.16.1 to 147.71.23.254147.71.23.2552,046
228147.71.24.0/21147.71.24.1 to 147.71.31.254147.71.31.2552,046
229147.71.32.0/21147.71.32.1 to 147.71.39.254147.71.39.2552,046
230147.71.40.0/21147.71.40.1 to 147.71.47.254147.71.47.2552,046
231147.71.48.0/21147.71.48.1 to 147.71.55.254147.71.55.2552,046
232147.71.56.0/21147.71.56.1 to 147.71.63.254147.71.63.2552,046
233147.71.64.0/21147.71.64.1 to 147.71.71.254147.71.71.2552,046
234147.71.72.0/21147.71.72.1 to 147.71.79.254147.71.79.2552,046
235147.71.80.0/21147.71.80.1 to 147.71.87.254147.71.87.2552,046
236147.71.88.0/21147.71.88.1 to 147.71.95.254147.71.95.2552,046
237147.71.96.0/21147.71.96.1 to 147.71.103.254147.71.103.2552,046
238147.71.104.0/21147.71.104.1 to 147.71.111.254147.71.111.2552,046
239147.71.112.0/21147.71.112.1 to 147.71.119.254147.71.119.2552,046
240147.71.120.0/21147.71.120.1 to 147.71.127.254147.71.127.2552,046
241147.71.128.0/21147.71.128.1 to 147.71.135.254147.71.135.2552,046
242147.71.136.0/21147.71.136.1 to 147.71.143.254147.71.143.2552,046
243147.71.144.0/21147.71.144.1 to 147.71.151.254147.71.151.2552,046
244147.71.152.0/21147.71.152.1 to 147.71.159.254147.71.159.2552,046
245147.71.160.0/21147.71.160.1 to 147.71.167.254147.71.167.2552,046
246147.71.168.0/21147.71.168.1 to 147.71.175.254147.71.175.2552,046
247147.71.176.0/21147.71.176.1 to 147.71.183.254147.71.183.2552,046
248147.71.184.0/21147.71.184.1 to 147.71.191.254147.71.191.2552,046
249147.71.192.0/21147.71.192.1 to 147.71.199.254147.71.199.2552,046
250147.71.200.0/21147.71.200.1 to 147.71.207.254147.71.207.2552,046
251147.71.208.0/21147.71.208.1 to 147.71.215.254147.71.215.2552,046
252147.71.216.0/21147.71.216.1 to 147.71.223.254147.71.223.2552,046
253147.71.224.0/21147.71.224.1 to 147.71.231.254147.71.231.2552,046
254147.71.232.0/21147.71.232.1 to 147.71.239.254147.71.239.2552,046
255147.71.240.0/21147.71.240.1 to 147.71.247.254147.71.247.2552,046
256147.71.248.0/21147.71.248.1 to 147.71.255.254147.71.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses